// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "SceneParser.hpp"
#include "util/generator/SceneItemGenerator.hpp"

namespace Dawn {
  class SceneGen : public CodeGen {
    public:
      static void generate(
        std::vector<std::string> *out,
        struct Scene *scene,
        std::string tabs
      );
  };
}